Index: test/internal/jit_stub.c
===================================================================
RCS file: /cvs/kaffe/kaffe/test/internal/jit_stub.c,v
retrieving revision 1.4
diff -u -r1.4 jit_stub.c
--- test/internal/jit_stub.c	29 Sep 2003 10:01:59 -0000	1.4
+++ test/internal/jit_stub.c	9 Mar 2004 10:17:41 -0000
@@ -144,6 +144,8 @@
 
 	{
 		Hjava_lang_Thread mainThread;
+		Hjava_lang_ThreadGroup mainGroup;
+		HArrayOfObject mainThreads;
 		parsedString testName;
 		char *tests;
 		
@@ -153,10 +155,16 @@
 		loadStaticClass(&javaLangThrowable, "java/lang/Throwable");
 		loadStaticClass(&javaLangNullPointerException, "java/lang/NullPointerException");
 		loadStaticClass(&javaLangArrayIndexOutOfBoundsException, "java/lang/ArrayIndexOutOfBoundsException");
+
+		memset(&mainGroup, 0, sizeof(mainGroup));
 		memset(&mainThread, 0, sizeof(mainThread));
-		jthread_createfirst(MAINSTACKSIZE,
-				    java_lang_Thread_NORM_PRIORITY,
-				    &mainThread);
+		THREAD_DATA()->jlThread = &mainThread;
+
+		mainThread.group = &mainGroup;
+
+		mainGroup.threads = &mainThreads;
+		mainThreads.length = 1;
+		mainThreads.data[0].body[0] = (Hjava_lang_Object *)&mainThread;
 
 		if( (tests = getenv(TEST_CLASSES)) )
 		{
